docusign.connect-configurations.get-connect-users
Returns users from the configured Connect service. <ds-inlinemessage> To use this method, you must be an account administrator and Connect must be enabled on your account. </ds-inlinemessage>
Returns users from the configured Connect service.
Overview
| Property | Value |
|---|---|
| Workflow type | Atomic |
| Library | App-docusign |
| Version | 1.0 |
Input Schema
| Field | Type | Required | Default | Description |
|---|---|---|---|---|
base_url | string | Yes | — | Docusign API root, e.g. https://<host>/api |
api_token | string | No | — | Bearer token; omit to use the workflow's token env var |
accountid | string | Yes | — | The external account number (int) or account ID GUID. |
connectid | string | Yes | — | The ID of the custom Connect configuration being accessed. |
count | string | No | — | The maximum number of results to return. Use start_position to specify the number of results to skip. |
email_substring | string | No | — | Filters returned user records by full email address or a substring of email address. |
list_included_users | string | No | — | — |
start_position | string | No | — | The zero-based index of the result from which to start returning results. Use with count to limit the number of results. The default value is 0. |
status | string | No | — | Filters the results by user status. You can specify a comma-separated list of the following statuses: * ActivationRequired * ActivationSent * Active * Closed * Disabled |
user_name_substring | string | No | — | Filters results based on a full or partial user name. Note: When you enter a partial user name, you do not use a wildcard character. |
Output Schema
| Field | Type | Required | Default | Description |
|---|---|---|---|---|
base_url | string | Yes | — | Docusign API root, e.g. https://<host>/api |
api_token | string | No | — | Bearer token; omit to use the workflow's token env var |
accountid | string | Yes | — | The external account number (int) or account ID GUID. |
connectid | string | Yes | — | The ID of the custom Connect configuration being accessed. |
count | string | No | — | The maximum number of results to return. Use start_position to specify the number of results to skip. |
email_substring | string | No | — | Filters returned user records by full email address or a substring of email address. |
list_included_users | string | No | — | — |
start_position | string | No | — | The zero-based index of the result from which to start returning results. Use with count to limit the number of results. The default value is 0. |
status | string | No | — | Filters the results by user status. You can specify a comma-separated list of the following statuses: * ActivationRequired * ActivationSent * Active * Closed * Disabled |
user_name_substring | string | No | — | Filters results based on a full or partial user name. Note: When you enter a partial user name, you do not use a wildcard character. |
status_code | integer | No | — | HTTP status code of the completed call |
response | json | No | — | Parsed JSON response body |
failure_reason | string | No | — | — |
failure_type | string | No | — | — |
failed_at | string | No | — | — |
failed_step | string | No | — | — |
failed_layer | string | No | — | — |
failed_at_state | string | No | — | — |
error | string | No | — | — |
error_type | string | No | — | — |
States
| State | Initial | Terminal | Success | Auto-advance | Description |
|---|---|---|---|---|---|
pending | Yes | No | — | execute | Waiting to call GET /v2.1/accounts/{accountId}/connect/{connectId}/users |
completed | No | Yes | Yes | — | HTTP call succeeded |
failed | No | Yes | No | — | HTTP call failed |
State Diagram
Transitions
| From | Action | To | Description |
|---|---|---|---|
pending | execute | completed | Perform GET /v2.1/accounts/{accountId}/connect/{connectId}/users |
* (any state) | fail | failed | Record the failure reason |
API Usage
bash
POST /api/workflows/start
Content-Type: application/json
{
"workflow_type": "docusign.connect-configurations.get-connect-users",
"initial_data": {
"base_url": "value",
"accountid": "value",
"connectid": "value"
}
}